<?php
/**
 * Theme Customizer
 *
 *
 *
 * @package WordPress
 * @subpackage Plug Shop
 * @since 1.0.0
 *
 */


# Colors

Plug_Shop_Kirki::add_field( 'plug_shop', array(
	'settings' => 'plug_shop_options[primary_color]',
	'label'    => esc_html__('Primary Brand Color', 'plug-shop'),
	'section'  => 'colors',
	'type'     => 'color',
	'default'  => '#40c4ff',
	'choices'     => array(
			'alpha' => true,
	),
	'transport' => 'postMessage',
	'js_vars' => array(
		array(
			'element'  => 'a#site-title, .nav-collapse b',
			'function' => 'css',
			'property' => 'color'
		)
	),
) );

Plug_Shop_Kirki::add_field( 'plug_shop', array(
	'settings' => 'plug_shop_options[secondary_color]',
	'label'    => esc_html__('Secondary Brand Color', 'plug-shop'),
	'section'  => 'colors',
	'type'     => 'color',
	'default'  => '',
	'choices'     => array(
			'alpha' => true,
	),
	'transport' => 'postMessage',
	'js_vars' => array(
		array(
			'element'  => 'span.site-desc',
			'function' => 'css',
			'property' => 'color'
		),
	),
) );

Plug_Shop_Kirki::add_field( 'plug_shop', array(
	'settings' => 'plug_shop_options[body_text_color]',
	'label'    => esc_html__('Body Text Color', 'plug-shop'),
	'section'  => 'colors',
	'type'     => 'color',
	'default'  => '#949393',
	'choices'     => array(
			'alpha' => true,
	),
	'transport' => 'postMessage',
	'js_vars' => array(
		array(
			'element'  => 'body',
			'function' => 'css',
			'property' => 'color'
		),
	),
) );

Plug_Shop_Kirki::add_field( 'plug_shop', array(
	'settings'  => 'plug_shop_options[heading_color]',
	'label'     => esc_html__('Headings Color', 'plug-shop'),
	'section'   => 'colors',
	'type'      => 'color',
	'default'   => '#545454',
	'choices'     => array(
			'alpha' => true,
	),
	'transport' => 'postMessage',
	'js_vars'   => array(
		array(
			'element'  => 'h1,h2,h3,h4,h5,h6',
			'function' => 'css',
			'property' => 'color'
		),
	),
) );

Plug_Shop_Kirki::add_field( 'plug_shop', array(
	'settings' => 'plug_shop_options[link_color]',
	'label'    => esc_html__('Link Color', 'plug-shop'),
	'section'  => 'colors',
	'type'     => 'color',
	'default'  => '#464646',
	'choices'     => array(
		'alpha' => true,
	),
	'transport' => 'postMessage',
	'js_vars' => array(
		array(
			'element'  => 'a, a:visited, #sidebar a',
			'function' => 'css',
			'property' => 'color'
		),
	),
) );

Plug_Shop_Kirki::add_field( 'plug_shop', array(
	'settings' => 'plug_shop_options[link_hover_color]',
	'label'    => esc_html__('Link Hover Color', 'plug-shop'),
	'section'  => 'colors',
	'type'     => 'color',
	'default'  => '#40c4ff',
	'choices'     => array(
			'alpha' => true,
	),
	'transport' => 'postMessage',
	'js_vars' => array(
		array(
			'element'  => 'a:hover, #sidebar a:hover',
			'function' => 'css',
			'property' => 'color'
		)
	),
) );